## mridefacer 0.2

=== Makefile ===
PREFIX ?= /usr/local

all:

install: man/mridefacer.1
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	mkdir -p $(DESTDIR)$(PREFIX)/share/mridefacer
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -t $(DESTDIR)$(PREFIX)/bin mridefacer
	install -m 644 man/mridefacer.1 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/mridefacer data/*

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/mridefacer
	rm -fr $(DESTDIR)$(PREFIX)/share/mridefacer
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/mridefacer.1*

README.md:
	echo '# mridefacer\nFrom the manpage:\n````\n' > README.md
	./mridefacer --verbose-help  >> README.md
	echo '````\n' >> README.md

man/mridefacer.1:
	mkdir -p man
	help2man --help-option="--verbose-help" --no-info ./mridefacer \
		--name "deidentification for MRI data" > $@

clean:
	rm -rf man

## mridefacer 0.1

=== debian/changelog ===
mridefacer (0.1-1~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Wed, 23 Sep 2015 19:41:00 +0200

mridefacer (0.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #).

 -- Michael Hanke <mih@debian.org>  Fri, 04 Sep 2015 18:08:10 +0200

=== debian/control ===
Source: mridefacer
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.6
Homepage: https://github.com/hanke/mridefacer

Package: mridefacer
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         fsl-5.0-core | fsl-core
Description: de-identification of MRI data
 This tool creates a de-face mask for volumetric images by aligning a template
 mask to the input. Such a mask can be used to remove image data from the
 vicinity of the facial surface, the auricles, and teeth in order to prevent a
 possible identification of a person based on these features.  mrideface can
 process individual or series of images.  In the latter case, the computed
 transformation between template image and input image will be updated
 incrementally for the next image in the series. This feature is most suitable
 for processing images that have been recorded in temporal succession.

## mridefacer 0.2

=== debian/changelog ===
mridefacer (0.2-1~nd12.04+1) precise; urgency=medium

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Tue, 21 Jun 2016 12:04:01 +0200

mridefacer (0.2-1) UNRELEASED; urgency=medium

  * Safeguard against failing BET call.
  * Produce defacemask in native image orientation.
  * debian/control
    - added Vcs- fields
    - added num-utils into Depends -- thanks Emanuele!

 -- Michael Hanke <mih@debian.org>  Fri, 04 Sep 2015 18:08:10 +0200

mridefacer (0.1-1) neurodebian; urgency=low

  * Initial release (Closes: #).

 -- Michael Hanke <mih@debian.org>  Fri, 04 Sep 2015 18:08:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
                help2man
 Standards-Version: 3.9.6
 Homepage: https://github.com/hanke/mridefacer
+Vcs-Browser: http://github.com/hanke/mridefacer
+Vcs-Git: git://github.com/hanke/mridefacer.git -b debian
 
 Package: mridefacer
 Architecture: all
 Depends: neurodebian-popularity-contest, ${misc:Depends},
+         num-utils,
          fsl-5.0-core | fsl-core
 Description: de-identification of MRI data
  This tool creates a de-face mask for volumetric images by aligning a template
